Last Comment Bug 738741 - No way to distinguish between KEYCODE_DPAD_CENTER and KEYCODE_ENTER
: No way to distinguish between KEYCODE_DPAD_CENTER and KEYCODE_ENTER
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla14
Assigned To: Eitan Isaacson [:eeejay]
:
: Jim Chen [:jchen] [:darchons]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 11:59 PDT by Eitan Isaacson [:eeejay]
Modified: 2012-04-04 10:12 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Re-map Android's KEYCODE_DPAD_CENTER to DOM_VK_ENTER. (973 bytes, patch)
2012-03-23 12:02 PDT, Eitan Isaacson [:eeejay]
mbrubeck: review+
Details | Diff | Splinter Review

Description Eitan Isaacson [:eeejay] 2012-03-23 11:59:56 PDT
On Android the enter key (KEYCODE_ENTER) is distinct from the dpad center key (KEYCODE_DPAD_ENTER). But the widget layer translates both of them into DOM_VK_RETURN.

I think the best mapping for the dpad center key is DOM_VK_ENTER, but I am uncertain of all the consequences of such a change.

fyi, android does not have a keycode for the numpad enter key, so this does not introduce new ambiguities.
Comment 1 Eitan Isaacson [:eeejay] 2012-03-23 12:02:46 PDT
Created attachment 608805 [details] [diff] [review]
Re-map Android's KEYCODE_DPAD_CENTER to DOM_VK_ENTER.
Comment 2 Mozilla RelEng Bot 2012-03-24 02:04:32 PDT
Try run for 9b539a2f38de is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=9b539a2f38de
Results (out of 42 total builds):
    success: 38
    warnings: 3
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/eisaacson@mozilla.com-9b539a2f38de
Comment 3 Eitan Isaacson [:eeejay] 2012-03-26 19:01:20 PDT
Must have been something intermittent, this build shows it is all good.
https://tbpl.mozilla.org/?tree=Try&rev=ffcd92b825f8

Anyway, I'll land this in a couple of days, I am taking off in a second and don't want to be responsible for messing up the entire world while I am gone :)
Comment 4 Eitan Isaacson [:eeejay] 2012-03-28 13:14:46 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/dea46b8a52ad
Comment 5 Marco Bonardo [::mak] 2012-03-29 08:52:51 PDT
https://hg.mozilla.org/mozilla-central/rev/dea46b8a52ad
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:12:36 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/328ae1116d50

Note You need to log in before you can comment on or make changes to this bug.